package mysql

import (
	"context"
	"fmt"
	"pji_desktop_http/biz/dal/query"
	"pji_desktop_http/biz/model"
)

func AddWorld(ctx context.Context, world model.World) {
	w := query.World
	err := w.WithContext(ctx).Create(&world)
	if err != nil {
		panic(err)
	}
}

func QueryWorld(ctx context.Context, sceneId string) (*model.World, error) {
	w := query.World
	world, err := w.WithContext(ctx).Where(w.SceneID.Eq(sceneId)).Order(w.CreatedAt.Desc()).First()
	if err != nil {
		fmt.Println("query world failed:", err.Error())
		return nil, err
	}
	fmt.Print("query world successfully:", world)
	return world, err
}
